Skip to content

List product pricings

Request

Returns a paginated list of Product Pricings for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""costPrice""currency""dispenseFee""markup""sellPrice""sellPriceTax"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
basedOnstring

Indicates whether the pricing is defined directly by sell price or derived from markup on cost.

Enum:"price""markup"
currencystring

ISO 4217 currency code for all monetary amounts in this record.

isActiveboolean

Whether this pricing record is currently active.

ownershipIdstring

Identifier of the ownership or business entity context for this pricing.

Example:ownershipId=123e4567-e89b-12d3-a456-426614174000
productIdstring

Identifier of the product this pricing applies to.

Example:productId=123e4567-e89b-12d3-a456-426614174000
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/product-pricing?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&basedOn=price&currency=string&isActive=true&ownershipId=123e4567-e89b-12d3-a456-426614174000&productId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Product Pricings